//
//  Log.h
//  ImageSegmentation
//
//  Created by kumada on 2013/03/23.
//  Copyright (c) 2013年 kumada. All rights reserved.
//

#ifndef __ImageSegmentation__Log__
#define __ImageSegmentation__Log__

#include <iostream>
#include <boost/format.hpp>

class Log
{
public:
        template<typename T>
        static bool println(const T& message)
        {
                print(message);
                std::cout << std::endl;
                return true;
        }
        
        template<typename T>
        static bool print(const T& message)
        {
                std::cout << message;
                return true;
        }
        
        static bool println(std::ostream& os)
        {
                os << std::endl;
                return true;
        }
        
        
                
};

#if(DEBUG)
#define ASSERT_LOG(x) assert(Log::println(x))
#else
#define ASSERT_LOG(x) 
#endif // DEBUG

#endif /* defined(__ImageSegmentation__Log__) */
